> For the complete documentation index, see [llms.txt](https://docs.wisej.com/system.drawing.managed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/system.drawing.managed/api/system.drawing.text/system.drawing.text.fontscriptmap.md).

# FontScriptMap

Namespace: **System.Drawing.Text**

Assembly: **System.Drawing.Managed** (4.0.0.0)

A mapping of script classes to a list of font family names that are suitable for rendering text in those scripts. Windows font families sourced from [FontFallbackWin](https://chromium.googlesource.com/chromium/blink/%2B/refs/heads/main/Source/platform/fonts/win/FontFallbackWin.cpp) with additional fonts added for other platforms.

{% tabs %}
{% tab title="C#" %}

```csharp
public class FontScriptMap
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class FontScriptMap
```

{% endtab %}
{% endtabs %}

## Fields

| Name    | Type                                                                                                                  | Description                                                                                                                                                       |
| ------- | --------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Map** | [Dictionary\<ScriptClass, String\[\]>](https://docs.microsoft.com/dotnet/api/system.collections.generic.dictionary-2) | A dictionary mapping each script class to a list of fallback fonts. The fonts are ordered by preference, with the most suitable font for the script listed first. |

## Methods

### ![](/files/eguYxwyd6jAtQFHRrmJW) GetFallbackList(script)

| Parameter  | Type                                                                                              | Description |
| ---------- | ------------------------------------------------------------------------------------------------- | ----------- |
| **script** | [ScriptClass](/system.drawing.managed/api/system.drawing.text/system.drawing.text.scriptclass.md) |             |

**Returns:** [String\[\]](https://docs.microsoft.com/dotnet/api/system.string).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/system.drawing.managed/api/system.drawing.text/system.drawing.text.fontscriptmap.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
